# Stat.Type (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stats.data
Interface Stat.Type

All Superinterfaces:
  Serializable

Enclosing class:
  Stat

    public static interface Stat.Type

extends Serializable

Defines the various per-player tracked statistics.

Method Summary
`int` `code()` Returns the unique code for this stat which is a function of its name.
`boolean` `isPersistent()` Returns true if this stat is persisted between sessions.
`String` `name()` Returns the enum name of stat.
`Stat` `newStat()` Returns a new blank stat instance of the specified type.

Method Detail

### newStat

    Stat newStat()

  Returns a new blank stat instance of the specified type.

### name

    String name()

  Returns the enum name of stat.

### code

    int code()

  Returns the unique code for this stat which is a function of its name.

### isPersistent

    boolean isPersistent()

  Returns true if this stat is persisted between sessions.

Copyright © 2011. All Rights Reserved.